https://www.docusign.com/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/envelopesThis method returns a list of envelopes in a specified bulk batch. Use the query parameters to filter and sort the envelopes by different attributes.
The external account number (int) or account ID GUID.
The batch ID.
The maximum number of results to return. Use `start_position` to specify the number of results to skip. Valid values: `1` to `1000`
When `recipients`, only envelopes with recipient nodes will be included in the response.
The order in which to sort the results. Valid values are: - Descending order: `desc` (default) - Ascending order: `asc`
The envelope attribute used to sort the results. Valid values are: - `created` (default) - `completed` - `last_modified` - `sent` - `status` - `subject` - `status_changed`
Use this parameter to search for specific text.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
Comma-separated list of envelope statuses. Note that `any` should not be included with other statuses. In other words, `any` is a valid parameter value, but `any,sent` is not. Use the value `deliveryfailure` to get all envelopes with `AuthFailed` and `AutoResponded` status. This value is specific to bulk sending.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/envelopes' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/envelopesThis method returns a list of envelopes in a specified bulk batch. Use the query parameters to filter and sort the envelopes by different attributes.
The external account number (int) or account ID GUID.
The batch ID.
The maximum number of results to return. Use `start_position` to specify the number of results to skip. Valid values: `1` to `1000`
When `recipients`, only envelopes with recipient nodes will be included in the response.
The order in which to sort the results. Valid values are: - Descending order: `desc` (default) - Ascending order: `asc`
The envelope attribute used to sort the results. Valid values are: - `created` (default) - `completed` - `last_modified` - `sent` - `status` - `subject` - `status_changed`
Use this parameter to search for specific text.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
Comma-separated list of envelope statuses. Note that `any` should not be included with other statuses. In other words, `any` is a valid parameter value, but `any,sent` is not. Use the value `deliveryfailure` to get all envelopes with `AuthFailed` and `AutoResponded` status. This value is specific to bulk sending.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/bulk_send_batch/{bulkSendBatchId}/envelopes' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}